package com.mx.dla.dda.contrato.fees.dtos;

import java.io.Serializable;
import java.util.Date;

import com.mx.dla.global.dtos.BaseDTO;

public class FeesContratoPagoBD extends BaseDTO implements Serializable{

	private static final long serialVersionUID = 1L;
	
	private Long   idContratoPago;
	private String tipoPago;
	private Long   idContrato;
	private Long   idTipoSuscriptor;	
	private String tipoAnio;
	private Date   fechaInicio;
	private Date   fechaFin;
	private Date   contratoInicio;
	private Date   contratoFin;
	private Integer anioContrato;
		
	public FeesContratoPagoBD(){}
	
	public FeesContratoPagoBD(Long idContratoPago, Long idContrato, Long idTipoSuscriptor, 			
			                  String tipoPago, String tipoAnio, Date fechaInicio, Date fechaFin) {	
		this.idContratoPago = idContratoPago;
		this.tipoPago = tipoPago;
		this.idContrato = idContrato;
		this.idTipoSuscriptor = idTipoSuscriptor;
		this.tipoAnio = tipoAnio;
		this.fechaInicio = fechaInicio;
		this.fechaFin = fechaFin;		
	}
	
	public Long getIdContratoPago() {
		return idContratoPago;
	}
	public void setIdContratoPago(Long idContratoPago) {
		this.idContratoPago = idContratoPago;
	}
	public String getTipoPago() {
		return tipoPago;
	}
	public void setTipoPago(String tipoPago) {
		this.tipoPago = tipoPago;
	}
	public Long getIdContrato() {
		return idContrato;
	}
	public void setIdContrato(Long idContrato) {
		this.idContrato = idContrato;
	}
	public Long getIdTipoSuscriptor() {
		return idTipoSuscriptor;
	}
	public void setIdTipoSuscriptor(Long idTipoSuscriptor) {
		this.idTipoSuscriptor = idTipoSuscriptor;
	}
	public String getTipoAnio() {
		return tipoAnio;
	}
	public void setTipoAnio(String tipoAnio) {
		this.tipoAnio = tipoAnio;
	}
	public Date getFechaInicio() {
		return fechaInicio;
	}
	public void setFechaInicio(Date fechaInicio) {
		this.fechaInicio = fechaInicio;
	}
	public Date getFechaFin() {
		return fechaFin;
	}
	public void setFechaFin(Date fechaFin) {
		this.fechaFin = fechaFin;
	}
	public Date getContratoInicio() {
		return contratoInicio;
	}
	public void setContratoInicio(Date contratoInicio) {
		this.contratoInicio = contratoInicio;
	}
	public Date getContratoFin() {
		return contratoFin;
	}
	public void setContratoFin(Date contratoFin) {
		this.contratoFin = contratoFin;
	}

	public Integer getAnioContrato() {
		return anioContrato;
	}

	public void setAnioContrato(Integer anioContrato) {
		this.anioContrato = anioContrato;
	}		
	
}
